%define __python %{__python3}

%define arcadename %{name}-arcade
%define launchername %{name}-launcher

%define arcadever	3.1.63
%define launcherver	3.1.68

Name:           fs-uae
Version:        3.1.66
Release:        %mkrel 1
Summary:        Amiga emulator with on-screen GUI and online play support
License:        GPLv2+
Group:          Emulators
Url:            https://fs-uae.net
# see https://fs-uae.net/download#source
Source0:        https://fs-uae.net/files/FS-UAE/Stable/%{version}/fs-uae-%{version}.tar.xz
Source1:        https://fs-uae.net/files/FS-UAE-Arcade/Stable/%{arcadever}/%{arcadename}-%{arcadever}.tar.xz
Source2:        https://fs-uae.net/files/FS-UAE-Launcher/Stable/%{launcherver}/%{launchername}-%{launcherver}.tar.xz
Patch0:         fs-uae-2.6.2-desktop.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3-setuptools
BuildRequires:  zip

Recommends:     %{arcadename}
Recommends:     %{launchername}

%description
FS-UAE is an Amiga emulator for Windows, Linux and Mac OS X
based on UAE/WinUAE, with a focus on emulating games.

Features include emulation of Amiga 500, 1200, 4000, CD32
and CDTV, perfectly smooth scrolling on 50Hz displays, support
for floppy images in ADF and IPF formats, CD-ROM images in ISO
or BIN/CUE format, mounting folders on your computer as Amiga
hard drives, support for Picasso 96 drivers for high-color and
high-resolution Workbench displays, and more.

A unique feature is support for cross-platform online play. You
can now play Amiga games against (or with) friends over the
Internet.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-device-helper
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_docdir}/%{name}/

#----------------------------------------------------------------------

%package -n     %{arcadename}
Summary:        Fullscreen game browser for FS-UAE
BuildArch:      noarch
Requires:       python3-qt5
Requires:       %{name} = %{version}

%description -n %{arcadename}
FS-UAE Arcade is a fullscreen Amiga game browser for FS-UAE.

%files -n       %{arcadename}
%{_bindir}/%{arcadename}
%{_datadir}/%{arcadename}/
%{_datadir}/applications/%{arcadename}.desktop
%{_docdir}/%{arcadename}/
%{_iconsdir}/hicolor/*/apps/%{arcadename}.png

#----------------------------------------------------------------------

%package -n     %{launchername}
Summary:        Graphical configuration frontend and launcher for FS-UAE
BuildArch:      noarch
Requires:       python3-qt5
Requires:       %{name} = %{version}

%description -n %{launchername}
FS-UAE Launcher is a graphical configuration program and launcher for FS-UAE.

%files -n       %{launchername} -f %{launchername}.lang
%{_bindir}/%{launchername}
%{_datadir}/%{launchername}/
%{_datadir}/applications/%{launchername}.desktop
%{_docdir}/%{launchername}/
%{_iconsdir}/hicolor/*/apps/%{launchername}.png

#----------------------------------------------------------------------

%prep
%setup -q -a1 -a2
%apply_patches

%build
%configure2_5x \
%ifnarch %{ix86} x86_64
  --disable-jit
%endif

%make_build

pushd %{arcadename}-%{arcadever}
%py3_build
# run make for translation update if needed
%make_build
popd

pushd %{launchername}-%{launcherver}
%py3_build
%make_build
popd

%install
rm -rf %buildroot
%make_install

rm -f %buildroot/usr/share/applications/fs-uae.desktop.0000

# takes care of the setup.py install + some stuff
%make_install -C %{arcadename}-%{arcadever} prefix=%{_prefix}
%make_install -C %{launchername}-%{launcherver} prefix=%{_prefix}

%find_lang %{name}
%find_lang %{launchername}


%changelog
* Tue Oct 25 2022 tex - 3.1.66-1pclos2022
- sync from france
